## digitools 1.0

=== Makefile ===
# Edit the line(s) below to change installation directory.
PREFIX = $(DESTDIR)/usr/local
SBINDIR = $(PREFIX)/sbin

# Users should not need to edit anything below this line.
LDFLAGS = -lasound
CFLAGS = -Wall -Os

LN = ln
STRIP = strip

BIN = digitools
SYMLINK_PANEL = digipanel
SYMLINK_RADIO = digiradio
SYMLINK_FAN = digifan
SYMLINK_WAKE = digiwake
SYMLINK_EDIT = ozedit
SYMLINK_OLDPANEL = setpanel
SYMLINK_OLDRADIO = setradio
SYMLINK_OLDFAN = asusfan

OBJS = ozedit.o digitools.o digiwake.o digifan.o it8705.o oz263.o digipanel.o sndctrl.o

default:	clean $(BIN) symlinks

$(BIN):	$(OBJS)

.PHONY: strip

strip:	$(BIN)
	$(STRIP) $(BIN)

.PHONY: symlinks

symlinks:	$(BIN)
	ln -s $(BIN) $(SYMLINK_PANEL)
	ln -s $(BIN) $(SYMLINK_RADIO)
	ln -s $(BIN) $(SYMLINK_FAN)
	ln -s $(BIN) $(SYMLINK_WAKE)
	ln -s $(BIN) $(SYMLINK_EDIT)

.PHONY: oldsymlinks

oldsymlinks:	$(BIN)
	ln -s $(BIN) $(SYMLINK_OLDPANEL)
	ln -s $(BIN) $(SYMLINK_OLDRADIO)
	ln -s $(BIN) $(SYMLINK_OLDFAN)

.PHONY:	clean

clean:
	rm -rf *.o $(BIN) $(SYMLINK_PANEL) $(SYMLINK_RADIO) \
           $(SYMLINK_FAN) $(SYMLINK_WAKE) $(SYMLINK_EDIT) \
           $(SYMLINK_OLDPANEL) $(SYMLINK_OLDRADIO) $(SYMLINK_OLDFAN)

.PHONY:	oldinstall

oldinstall:	$(BIN)
	install -d $(SBINDIR)
	install -m 755 $(BIN) $(SBINDIR)
	$(LN) -s $(BIN) $(SBINDIR)/$(SYMLINK_OLDPANEL)
	$(LN) -s $(BIN) $(SBINDIR)/$(SYMLINK_OLDFAN)

.PHONY:	install

install:	$(BIN)
	install -d $(SBINDIR)
	install -m 755 $(BIN) $(SBINDIR)
	$(LN) -s $(BIN) $(SBINDIR)/$(SYMLINK_PANEL)
	$(LN) -s $(BIN) $(SBINDIR)/$(SYMLINK_RADIO)
	$(LN) -s $(BIN) $(SBINDIR)/$(SYMLINK_FAN)
	$(LN) -s $(BIN) $(SBINDIR)/$(SYMLINK_WAKE)
	$(LN) -s $(BIN) $(SBINDIR)/$(SYMLINK_EDIT)

.PHONY: uninstall

uninstall:
	rm -f $(SBINDIR)/$(BIN) $(SBINDIR)/$(SYMLINK_PANEL) \
          $(SBINDIR)/$(SYMLINK_RADIO) $(SBINDIR)/$(SYMLINK_FAN) \
          $(SBINDIR)/$(SYMLINK_WAKE) $(SBINDIR)/$(SYMLINK_EDIT)

.PHONY: olduninstall

olduninstall:
	rm -f $(SBINDIR)/$(BIN) $(SBINDIR)/$(SYMLINK_OLDPANEL) \
          $(SBINDIR)/$(SYMLINK_OLDFAN)
