## digitools 1.03

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,11 @@
 
 LN = ln
 STRIP = strip
+TAR = tar
+VER = `sed -n "s/.*DIGI_VER.*\"\(.*\)\"/\1/p" digitools.h`
 
 BIN = digitools
+DIR = digitools
 SYMLINK_PANEL = digipanel
 SYMLINK_RADIO = digiradio
 SYMLINK_FAN = digifan
@@ -49,7 +52,7 @@
 .PHONY:	clean
 
 clean:
-	rm -rf *.o $(BIN) $(SYMLINK_PANEL) $(SYMLINK_RADIO) \
+	rm -rf *.o *.tar.* $(BIN) $(SYMLINK_PANEL) $(SYMLINK_RADIO) \
            $(SYMLINK_FAN) $(SYMLINK_WAKE) $(SYMLINK_EDIT) \
            $(SYMLINK_OLDPANEL) $(SYMLINK_OLDRADIO) $(SYMLINK_OLDFAN)
 
@@ -85,3 +88,10 @@
 	rm -f $(SBINDIR)/$(BIN) $(SBINDIR)/$(SYMLINK_OLDPANEL) \
           $(SBINDIR)/$(SYMLINK_OLDFAN)
 
+.PHONY: dist
+
+dist:	clean
+	$(TAR) -zcf digitools-$(VER).tar.gz \
+	  --exclude=.svn --exclude=digitools*.tar.* -C ../ $(DIR)
+	$(TAR) -jcf digitools-$(VER).tar.bz2 \
+	  --exclude=.svn --exclude=digitools*.tar.* -C ../ $(DIR)
