=== debian/changelog ===
digitools (1.03-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Put libraries in LDLIBS, not LDFLAGS (closes: #641833, LP: #831389).

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Jun 2013 10:55:56 +0100

digitools (1.03-1.1) unstable; urgency=low

  * Non-maintainer upload; ACKed by the maintainer, see #664328.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #664328).
  * Update to Standards-Version to 3.9.3 and debhelper to 9.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 05 May 2012 22:15:14 +0300

digitools (1.03-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.7.3
  * Added description to patch 01_prefix.dpatch
  * Dont't call script at runlevel 1 (In fact, we only need to call the script
    at shutdown).
  * Fixed debian-rules-ignores-make-clean-error Lintian error.
  * Fixed copyright-without-copyright-notice Lintian error.
  * Fixed bashism on initscript (Closes: #480595)

 -- Cyril Lacoux (Yack) <clacoux@easter-eggs.com>  Fri, 16 May 2008 17:14:48 +0200

digitools (1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #469116)

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 02:21:06 +0200 

digitools (1.0-1) unstable; urgency=low

  * Initial release. (Closes: ##367893)

 -- Cyril Lacoux (Yack) <clacoux@easter-eggs.com>  Thu,  6 Apr 2006 21:39:48 +0200
