=== debian/control ===
Source: digitools
Section: utils
Priority: extra
Maintainer: Cyril Lacoux (Yack) <clacoux@easter-eggs.com>
Build-Depends: debhelper (>= 9), libasound2-dev
Standards-Version: 3.9.3

Package: digitools
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A set of tools to control ASUS Digimatrix embedded hardware
 This package is a combination of the previous programs asusfan and setpanel.
 Included in this package are the following tools:
   digifan:   allows fan speed control 
              (formerly asusfan)
 .
   digipanel: allows control of the LED display, and volume knob controls
              the soundcard master mixer channel
              (formerly part of setpanel)
 .
   digiradio: allows control of the in-built radio
              (formerly part of setpanel)
 .
   digiwake:  allows for Wake-On-CIR (wake on remote) with existing
              versions of LIRC that support the digimatrix. This program
              just needs to be run after lircd, and the digimatrix will
              power on when pressing the music/(on/off) button on the
              remote control.
